# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaParametricPoint Class Reference

Representation of STEP entity FeaParametricPoint
.

`#include <StepFEA_FeaParametricPoint.hxx>`

Inheritance diagram for StepFEA_FeaParametricPoint:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_FeaParametricPoint ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(TColStd_HArray1OfReal)&aCoordinates)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TColStd_HArray1OfReal | Coordinates () const
| Returns field Coordinates .
Standard_EXPORT void | SetCoordinates (const Handle(TColStd_HArray1OfReal)&Coordinates)
| Set field Coordinates .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HArray1OfReal | theCoordinates

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaParametricPoint::StepFEA_FeaParametricPoint | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfReal StepFEA_FeaParametricPoint::Coordinates | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaParametricPoint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Point.

Standard_EXPORT void StepFEA_FeaParametricPoint::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(TColStd_HArray1OfReal)& | aCoordinates
| ) |

Standard_EXPORT void StepFEA_FeaParametricPoint::SetCoordinates | ( | const Handle(TColStd_HArray1OfReal)& | Coordinates | ) |

## Field Documentation

Handle_TColStd_HArray1OfReal StepFEA_FeaParametricPoint::theCoordinates `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaParametricPoint.hxx